---
title: HTMLAnchorElement.download
slug: Web/API/HTMLAnchorElement/download
tags:
  - API
  - HTML DOM
  - HTMLAnchorElement
  - Property
  - Reference
  - download
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLAnchorElement.download</strong></code> property is a {{domxref("DOMString")}} indicating that the linked resource is intended to be downloaded rather than displayed in the browser. The value, if any, specifies the default file name for use in labeling the resource in a local file system. If the name is not a valid file name in the underlying OS, the browser will adjust it.</p>

<div class="notecard note">
<p><strong>Note</strong>: This value might not be used for download. This value cannot be used to determine whether the download will occur.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>dnload</em> = <em>anchorElt</em>.download;
<em>anchorElt</em>.download = <em>dnload</em>;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'links.html#attr-hyperlink-download', 'download')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLAnchorElement.download")}}</p>
</div>
